## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.caseexpr
Class CaseClauseElement

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.caseexpr.CaseClauseElement

    public class CaseClauseElement

extends java.lang.Object

Constructor Summary
`CaseClauseElement(ValueExpressionCaseSimple caseSimpleClause)`

Method Summary
`void` `deleteCaseClause()`
`java.lang.String` `getColumnText(int columnIndex)`
`ValueExpressionCaseSimple` `getSQLCaseSimpleWhenClause()`
`void` `setCaseClause(java.lang.Object testExprObj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CaseClauseElement

    public CaseClauseElement(ValueExpressionCaseSimple caseSimpleClause)

Method Detail

### getSQLCaseSimpleWhenClause

    public ValueExpressionCaseSimple getSQLCaseSimpleWhenClause()

### setCaseClause

    public void setCaseClause(java.lang.Object testExprObj)

### getColumnText

    public java.lang.String getColumnText(int columnIndex)

### deleteCaseClause

    public void deleteCaseClause()